-- Lookup Table

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use ieee.std_logic_unsigned.all;
entity Lookup_Table is
   port(
      clk: in std_logic;
      addr: in std_logic_vector(10 downto 0);
      data: out std_logic_vector(7 downto 0)   	
   );
end default_screen;

architecture arch of default_screen is
   constant ADDR_WIDTH: integer:=7;
   constant DATA_WIDTH: integer:=4;
  signal addr_reg: std_logic_vector(ADDR_WIDTH-1 downto 0);
   type rom_type is array (0 to 2**ADDR_WIDTH-1)
        of std_logic_vector(DATA_WIDTH-1 downto 0);
   -- ROM definition
   constant ROM: rom_type:=(   -- 2^11-by-8
-- FIRST Lookup Table STARTS HERE Switches - "00000000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
    -- SECOND Lookup Table STARTS HERE Switches - "00000001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- THIRD Lookup Table Here, Switches - "00000010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 4 Switches - "00000011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 5 -Switches "00000100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 6 -Switches "00000101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 7 -Switches "00000110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 8 -Switches "00000111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   -- Lookup Table 9 -Switches "00001000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 10 -Switches "00001001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 11 -Switches "00001010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 12 -Switches "00001011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 13 -Switches "00001100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 14 -Switches "00001101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 15 -Switches "00001110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 16 -Switches "00001111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA

   -- Lookup Table 17 -Switches "00010000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 18 -Switches "00010001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 19 -Switches "00010010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 20 -Switches "00010011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 21 -Switches "00010100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 22 -Switches "00010101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 23 -Switches "00010110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 24 -Switches "00010111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA

   -- Lookup Table 25 -Switches "00011000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 26 -Switches "00011001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 27 -Switches "00011010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 28 -Switches "00011011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 29 -Switches "00011100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 30 -Switches "00011101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 31 -Switches "00011110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 32 -Switches "00011111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 33 -Switches "00100000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 34 -Switches "00100001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 35 -Switches "00100010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 36 -Switches "00100011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 37 -Switches "00100100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 38 -Switches "00100101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 39 -Switches "00100110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 40 -Switches "00100111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 41 -Switches "00101000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 42 -Switches "00101001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 43 -Switches "00101010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 44 -Switches "00101011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 45 -Switches "00101100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 46 -Switches "00101101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 47 -Switches "00101110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 48 -Switches "00101111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 49 -Switches "00111000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 50 -Switches "00111001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 51 -Switches "00111010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 52 -Switches "00111011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 53 -Switches "00111100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 54 -Switches "00111101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 55 -Switches "00111110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 56 -Switches "00111111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 57 -Switches "01000000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 58 -Switches "01000001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 59 -Switches "01000010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 60 -Switches "01000011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 61 -Switches "01000100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 62 -Switches "01000101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 63 -Switches "01000110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 64 -Switches "01000111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 65 -Switches "01001000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 66 -Switches "01001001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 67 -Switches "01001010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 68 -Switches "01001011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 69 -Switches "01001100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 70 -Switches "01001101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 71 -Switches "01001110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 72 -Switches "01001111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 73 -Switches "01010000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 74 -Switches "01010001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 75 -Switches "01010010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 76 -Switches "01010011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 77 -Switches "01010100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 78 -Switches "01010101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 79 -Switches "01010110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 80 -Switches "01010111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA




   -- Lookup Table 81 -Switches "01011000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 82 -Switches "01011001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 83 -Switches "01011010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 84 -Switches "01011011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 85 -Switches "01011100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 86 -Switches "01011101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 87 -Switches "01011110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 88 -Switches "01011111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA


   -- Lookup Table 89 -Switches "01100000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 90 -Switches "01100001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 91 -Switches "01100010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 92 -Switches "01100011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 93 -Switches "01100100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 94 -Switches "01100101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 95 -Switches "01100110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 96 -Switches "01100111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA



   -- Lookup Table 97 -Switches "01101000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 98 -Switches "01101001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 99 -Switches "01101010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 100 -Switches "01101011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 101 -Switches "01101100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 102 -Switches "01101101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 103 -Switches "01101110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 104 -Switches "01101111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA



   -- Lookup Table 105 -Switches "01110000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 106 -Switches "01110001"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 107 -Switches "01110010"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 108 -Switches "01110011"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 109 -Switches "01110100"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 110 -Switches "01110101"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 111 -Switches "01110110"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 112 -Switches "01110111"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   -- code x01
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA



   -- Lookup Table 113 -Switches "01111000"
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- code x01
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   "0000", -- DEAD
   -- Lookup Table 114 -Switches "01111001"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- Lookup Table 115 -Switches "01111010"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   -- code x01
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- Lookup Table 116 -Switches "01111011"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- Lookup Table 117 -Switches "01111100"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   -- code x01
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- Lookup Table 118 -Switches "01111101"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   -- Lookup Table 119 -Switches "01111110"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   -- code x01
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   -- Lookup Table 120 -Switches "01111111"
   "0000", -- DEAD
   "0000", -- DEAD
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1100", -- Alive- RED
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1110", -- Alive- YELLOW
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1111", -- Alive- WHITE
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   -- code x01
   "1001", -- Alive- BLUE
   "1001", -- Alive- BLUE
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1011", -- Alive- CYAN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1010", -- Alive- GREEN
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA
   "1101", -- Alive- MAGENTA

   );
begin
   -- addr register to infer block RAM
   process (clk)
   begin
      if (clk'event and clk = '1') then
        addr_reg <= addr;
      end if;
   end process;
   data <= ROM(to_integer(unsigned(addr_reg)));

end arch;


