--=============================

-- Listing 9.10 LFSR

--=============================

library ieee;

use ieee.std_logic_1164.all;

entity lfsr_32 is

   port(

      clk, reset: in std_logic;

      q: out std_logic_vector(31 downto 0)

   );

end lfsr_32;



architecture no_zero_arch of lfsr_32 is

   signal r_reg, r_next: std_logic_vector(31 downto 0);

   signal fb: std_logic;

   constant SEED: std_logic_vector(31 downto 0):=(0=>'1' , others=>'0');

begin

   -- register

   process(clk,reset)

   begin

      if (reset='1') then

         r_reg <= SEED;

      elsif (clk'event and clk='1') then

         r_reg <= r_next;

      end if;

   end process;

   -- next-state logic

   fb <= r_reg(22) xor r_reg(2) xor r_reg(1) xor r_reg (0);

   r_next <= fb & r_reg(31 downto 1);

   -- output logic

   q <= r_reg;

end no_zero_arch;

