library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;



entity vgatimer is

	port(	clk : in std_logic;
		pixel_en : in std_logic;
		rst : in std_logic;
		
		HS : out std_logic;
		VS : out std_logic;
		pixel_x : out std_logic_vector(9 downto 0);
		pixel_y : out std_logic_vector(9 downto 0);
		last_column : out std_logic;
		last_row : out std_logic;
		blank : out std_logic

		);
end vgatimer;

architecture time_impl of vgatimer is
signal h_counter : unsigned(9 downto 0):= (others =>'0');
signal v_counter : unsigned(9 downto 0):= (others =>'0');
signal h_next_count : unsigned(9 downto 0):= (others =>'0');
signal v_next_count : unsigned(9 downto 0):= (others =>'0');
signal col_pulse : std_logic := '0';
begin

	h_next_count <= h_counter +1;
	v_next_count <= v_counter +1;
	--set horizontal count
	process(pixel_en, rst, clk)
	begin
		col_pulse <= '0';
			if(rst ='1') then
			h_counter <= (others =>'0');
		elsif( clk'event and clk ='1' and pixel_en ='1') then
			 if(h_counter=799) then
				  h_counter <= (others => '0');
			else h_counter <= h_next_count;

			end if;
		end if;
	end process;

	--set vertical count
	process(pixel_en, rst, clk)
	begin
			if(rst ='1') then
			v_counter <= (others =>'0');
		elsif(clk'event and clk='1') then
		  if(pixel_en='1' and h_counter=799) then
			 if(v_counter=520) then
				  v_counter <= (others => '0');
			 else v_counter <= v_next_count;
    end if;
			end if;
		end if;
	end process;


	
	blank <= '1' when h_counter>639 or v_counter>479 else '0';
	VS <= '0' when v_counter>490 and v_counter<=492 else '1';
	HS <= '0' when h_counter>656 and h_counter<=752 else '1';
  
  pixel_x <= std_logic_vector(h_counter);
  pixel_y <= std_logic_vector(v_counter);


last_column <= '1' when h_counter =639
else 	'0';
last_row <= '1' when v_counter =479
else 	'0';

	--last_column <= col_pulse;

	


end time_impl;

